#
# spec file for package python-azure-mgmt-web
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt-web
Version:        0.40.0
Release:        lp151.2.3.3
Summary:        Microsoft Azure Web Apps Management Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt-web/azure-mgmt-web-%{version}.zip
Source1:        LICENSE.txt
Patch1:         amw_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module azure-mgmt-nspkg}
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-mgmt-nspkg
Requires:       python-azure-nspkg
Requires:       python-msrest >= 0.5.0
Requires:       python-msrestazure < 2.0.0
Requires:       python-msrestazure >= 0.4.32
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Web Apps Management Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
%setup -q -n azure-mgmt-web-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-web-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/mgmt/web
%{python_sitelib}/azure_mgmt_web-*.egg-info

%changelog
* Mon Mar 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Thu Sep  6 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release 0.40.0
  * For detailed information about changes see the
    HISTORY.txt file provided with this package
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Update Requires from setup.py
- Update %%description from setup.py
* Thu Mar  1 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.35.0
- Move LICENSE.txt from %%doc to %%license section
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Update Requires from setup.py
- Update Summary and %%description from setup.py
* Fri Jan 19 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.34.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Update Summary and Description from upstream
- Update Requires from setup.py
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- Remove versioning for namespace packages in Requires
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Fri Jul 14 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
- Add python-azure-mgmt-nspkg to Requires
* Wed Jun 28 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.32.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + amw_drop-compatible-releases-operator.patch
